Jump to content

Template:Notice/styles.css

From Appropedia
(Redirected from Template:Mbox/styles.css)
.template-notice {
	background: var( --background-color-neutral-subtle );
	box-sizing: border-box;
	margin: 1em 0;
	overflow: hidden;
	padding: .5em;
}
.template-notice-image {
	float: left;
	margin: .5em;
}
.template-notice-content {
	overflow: hidden;
	margin: .5em;
}
.template-notice-title {
	font-weight: bold;
}
.template-notice-title ~ .template-notice-text {
	margin-left: 1em;
}
.template-notice-more {
	cursor: pointer;
	float: right;
}

/**
 * Collapse
 */
.template-notice.collapse {
	clear: both;
	float: right;
	margin: 0 0 1em 1em;
	width: 310px;
}
.template-notice.collapse .template-notice-title ~ .template-notice-text {
	display: none;
}

/**
 * Read mode
 */
body.read-mode .template-notice {
	float: right;
	margin: 0 0 1em 1em;
	width: 310px;
}
body.read-mode .template-notice-title ~ .template-notice-text {
	display: none;
}

/**
 * Small screens
 */
@media screen and (max-width: 800px) {
	.template-notice.collapse,
	.template-notice {
		float: none;
		margin: 1em 0;
		width: 100%;
	}
	.template-notice-title ~ .template-notice-text {
		display: none;
	}
}

/* [[Category:Template style pages]] */
Cookies help us deliver our services. By using our services, you agree to our use of cookies.